import * as yaml from 'js-yaml';

export const fetchYamlData = async ({ src = '/yml/DialogPorsche.yml' }) => {
  try {
    const response = await fetch(src);
    if (!response.ok) {
      throw new Error('Network response was not ok');
    }
    const yamlData = await response.text();
    console.log('Fetched YAML data:', yamlData); // Debugging statement
    const parsedData = yaml.load(yamlData);
    console.log('Parsed YAML data:', parsedData); // Debugging statement
    return parsedData;
  } catch (error) {
    throw new Error(`Error loading YAML data: ${error.message}`);
  }
};

